package com.njzscloud.supervisory.bs.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.njzscloud.supervisory.bs.pojo.result.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ShouJuStatisticsMapper {
    List<CarTrends> getCarTrends();

    UserSummary getUserSummary();

    List<GarbageDisposeSummary> getGarbageDisposeSummary();

    List<GarbageDisposeSummary> getCurrentMonthGarbageDisposeSummary();

    List<String> getGoodsNames(@Param("ew") Wrapper<Object> ew, @Param("count") int count);

    List<OrderSummary> getOrderSummary();

    TodayOrderSummary getTodayOrderSummary();

    List<OrderInfo> obtainOrder(@Param("userId") Long userId);

    Double disposeWeight(@Param("startTime") Long startTime, @Param("endTime") Long endTime);

    List<OrderAmountSummary> getOrderAmountSummary(@Param("startTime") Long startTime, @Param("endTime") Long endTime);
}
